New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Malwares Analyzer for Python 3.4+ #402

Closed
Pcktech opened this Issue Jan 5, 2019 · 1 comment

Comments

Projects
None yet
2 participants
@Pcktech
Copy link

Pcktech commented Jan 5, 2019

Request Type

Feature Request

Problem Description

The Malwares.com analyzer uses **dict/list syntax that may require Python 3.7 to function. With Python 3.4 installed Cortex returns:

Invalid output
Traceback (most recent call last):
  File "Malwares/malwares.py", line 6, in <module>
    from malwares_api import Api
  File "/usr/cortex/analyzers/analyzers/Malwares/malwares_api.py", line 59
    response = dict(results={**ri['results'], **ra['results']}, response_code=1)
                              ^
SyntaxError: invalid syntax

Request

Utilize Python 3.4+ syntax to process the data successfully.

dadokkio added a commit to dadokkio/Cortex-Analyzers that referenced this issue Jan 7, 2019

@nadouani nadouani added this to the 1.15.1 milestone Jan 9, 2019

@nadouani

This comment has been minimized.

Copy link
Contributor

nadouani commented Jan 9, 2019

Fixed by #403

@nadouani nadouani closed this Jan 9, 2019

nadouani added a commit that referenced this issue Jan 9, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment